/* -------------------------------------------------------------------------
  top
  ------------------------------------------------------------------------- */
.p-home-top {
    --section-padding: 7.5rem;
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    min-height: calc(100vh - var(--header-height));

    padding-top: 0;
    padding-bottom: 18.5vw;
}


@media screen and (min-width:744px) {
    .p-home-top {
        padding-top: var(--header-height);
        padding-bottom: 0;
        height: 100vh;
    }
}

@media screen and (min-width:1024px) {
    .p-home-top {
        --section-padding: 10rem;
        /* display: block; */
    }
}

.p-home-top__body {
    position: relative;
    padding: 5rem 0;
    flex: 1;
}

@media screen and (min-width:744px) {
    .p-home-top__body {
        padding-top: 12.5rem;
        padding-bottom: 12.5rem;
    }
}

@media screen and (min-width:1024px) {
    .p-home-top__body {
        padding-top: var(--section-padding);
        padding-bottom: var(--section-padding);
    }
}

@media screen and (min-width:1024px) and (orientation: landscape) {
    .p-home-top {
        max-height: 100vw;
    }

}

@media screen and (min-width:1280px) {
    .p-home-top {
        --section-padding: 15rem;
    }
}

.p-home-top__inner {
    --container-inner-width: var(--width-large);
}

@media screen and (min-width:744px) {
    .p-home-top__inner {
        --container-side-gap: 7.5rem;

    }
}

@media screen and (min-width:1024px) and (orientation: portrait) and (max-width:1279px) {
    .p-home-top__inner {
        font-size: 1.3em;
    }
}



@media screen and (min-width:1280px) {
    .p-home-top__inner {
        --container-side-gap: 19rem;
    }
}



.p-home-top__bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    z-index: var(--layer-bg);
}


.p-home-top__media {
    display: block;
    height: 100%;
    width: 100%;
    aspect-ratio: 9 / 16;
    /* 動画データ自体に黒い上線が入ってしまうため隠す*/
    /* margin-top: -1px; */
    object-fit: cover;
    object-position: left bottom;
}

@media screen and (min-width:744px) {
    .p-home-top__media {
        aspect-ratio: 3 / 4;
        /*動画の比率に合わせる */
    }
}

@media screen and (min-width:1024px) {
    .p-home-top__media {
        aspect-ratio: 4 / 3;
    }
}

@media screen and (min-width:1280px) {
    .p-home-top__media {
        aspect-ratio: 8 / 5;
        /*動画の比率に合わせる */
    }
}

.p-home-top__media .kari-image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: bottom left;
}

.p-video-credit {
    left: 0;
    bottom: 0;
    position: absolute;
    z-index: var(--layer-mask);
    width: 100%;
    padding: 10px;

    max-width: 37.5rem;
    line-height: var(--line-height-snug);
}

.p-video-credit__cesium {
    width: 103px;
    margin-bottom: 5px;
}

.p-video-credit__cesium>img {
    display: block;
}

.p-video-credit__google {
    color: var(--u-color-on-dark);
    font-size: 10px;
    line-height: 1.6;
}

.p-home-top__content-container {
    padding-inline: 2rem;
}

.p-home-top__content {
    position: relative;
    z-index: var(--layer-content);
}

@media screen and (min-width:744px) {
    .p-home-top__content {
        font-size: 1.7em;
    }
}



.p-home-top__title {
    margin-bottom: 1em;
    /* font-size: 2.28em; */
    font-size: 2.25em;
    line-height: 1.7;
    letter-spacing: 0;
    color: var(--u-color-on-dark);
    text-shadow: 0.1rem 0.1rem rgba(0, 0, 0, 1);
}


@media screen and (min-width:1024px) {
    .p-home-top__title {
        font-size: 2.1em;
    }
}


.p-home-top__lead {
    margin-bottom: 3.5rem;
    color: var(--u-color-on-dark);
    text-shadow: 0.1rem 0.1rem rgba(0, 0, 0, 1);
}

.p-home-top__lead p,
.p-home-top__lead h1 {
    font-size: 1.15em;
    margin-bottom: 1.2em;
    line-height: 1.6;
}

@media screen and (min-width:744px) {

    .p-home-top__lead p,
    .p-home-top__lead h1 {
        font-size: 1em;
    }
}

.p-home-top__lead p:last-child {
    margin-bottom: 0;
}


.p-home-top__about {
    line-height: var(--line-height-reset);

    font-size: var(--font-size-sm);

    position: relative;
    padding: 0.4em;
    display: flex;
    align-items: center;
    width: fit-content;
    gap: 0.4em;
    background-color: rgba(255, 255, 255, 0.8);
}

@media screen and (min-width:1024px) {
    .p-home-top__about {
        font-size: 0.75em;
    }
}

.p-home-top__about::before {
    content: "";
    display: block;
    width: 0.5rem;
    height: 1em;
    background-color: var(--color-brand-primary);
}

.p-home-top .c-fade-overlay {
    --fade-height-top: 75%;
    --fade-color-top: #006BB3;
    --fade-start-top: 0%;
}

@media screen and (min-width:744px) {
    .p-home-top .c-fade-overlay {
        --fade-height-top: 70%;
    }
}



.p-home-top .c-fade-overlay::after {
    display: none;
}

@media screen and (min-width:1280px) and (min-height: 1060px) {

    /* 画面比率が大きくなった場合、トップセクションのテキストブロックを上半分の下付けにする*/
    .p-home-top__content {
        height: 50%;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
    }

    .p-home-top__inner {
        padding-top: 0;
        padding-bottom: 0;
        height: 100%;
    }

}

/* -------------------------------------------------------------------------
   p-sec-scene
  ------------------------------------------------------------------------- */

.p-sec-scene {
    padding-bottom: 0;
}

@media screen and (min-width:1024px) {
    .p-sec-scene {
        padding-bottom: var(--section-padding);
    }
}

.p-sec-scene__inner {}

@media screen and (min-width:1024px) {
    .p-sec-scene__inner {
        --gap: 5rem;
        display: flex;
        gap: var(--gap);
    }
}



.p-sec-scene__header {
    position: relative;
    z-index: 2;
}

@media screen and (min-width:1024px) {
    .p-sec-scene__header {
        width: calc((100% - var(--gap)) * 0.5);
    }
}

@media screen and (min-width:744px) {
    .p-sec-scene__header .l-container {
        --container-side-gap: var(--space-side-lg);
    }
}

@media screen and (min-width:1024px) {
    .p-sec-scene__header .l-container {
        --container-side-gap: var(--space-side-xl);
        --container-inner-width: var(--width-large);
    }
}

.p-sec-scene__title {
    font-size: 2.7rem;
    margin-bottom: 1.2em;
}

.p-sec-scene__lead-block {}

.p-sec-scene__text {
    margin-bottom: 1.2em;
}

.p-sec-scene__text:last-child {
    margin-bottom: 0;
}



.p-sec-scene__media {
    --outset-size: 4.5rem;
    position: relative;
    z-index: 1;
    margin-top: 5rem;
}

@media screen and (min-width:744px) {
    .p-sec-scene__media {}
}

@media screen and (min-width:1024px) {
    .p-sec-scene__media {
        width: calc((100% - var(--gap)) * 0.5 + var(--outset-size));
        margin-top: 0;
        margin-right: calc(var(--outset-size) * -1) !important;

    }

    .p-sec-scene__media.u-breakout {
        margin-inline: 0;
    }
}

@media screen and (min-width:1280px) {
    .p-sec-scene__media {
        --outset-size: 9rem;
    }
}

.p-sec-scene__media>.c-fade-overlay {
    /* 親要素の高さに対して。XDの値から算出 */
    --fade-height-top: 44.7%;
    --fade-start-top: 30%;
}

@media screen and (min-width:744px) {
    .p-sec-scene__media>.c-fade-overlay {
        /* 親要素の高さに対して。XDの値から算出 */
        --fade-height-top: 57%;
        --fade-start-top: 23.5%;
    }
}

@media screen and (min-width:1024px) {
    .p-sec-scene__media>.c-fade-overlay {
        --fade-height-top: 50%;
        --fade-start-top: 32%;
    }
}

.p-sec-scene__media>.c-fade-overlay::after {
    display: none;
}

.p-sec-scene__video {
    max-width: var(--width-ex-large);
    margin-inline: auto;
}

@media screen and (min-width:744px) {
    .p-sec-scene__video {
        overflow: hidden;
    }

}

.p-sec-scene__video>video {
    display: block;
    aspect-ratio: 3 /4;
    object-fit: cover;
}


@media screen and (min-width:744px) {
    .p-sec-scene__video>video {}
}

@media screen and (min-width:1024px) {
    .p-sec-scene__video>video {}
}




.p-scene-slider {
    margin-top: 1px;
}

/* -------------------------------------------------------------------------
   p-sec-location
  ------------------------------------------------------------------------- */
.p-sec-location {}

@media screen and (min-width:1536px) {
    .p-sec-location {
        padding-bottom: var(--section-padding);
    }
}

.p-scene-slider {
    max-width: var(--width-ex-large);
    margin-inline: auto;
}

.p-map {
    position: relative;
    aspect-ratio: 2 /3;

    max-width: var(--width-ex-large);
    margin-inline: auto;
    margin-bottom: 3rem;
}

@media screen and (min-width:744px) {
    .p-map {
        position: relative;
        aspect-ratio: 1 / 1;
    }
}

@media screen and (min-width:1024px) {
    .p-map {
        aspect-ratio: 4 / 3;
    }
}

@media screen and (min-width:1280px) {
    .p-map {
        height: 50vw;
        width: 100%;
        max-width: none;
    }
}

@media screen and (min-width:1280px) {
    .p-map {
        height: calc(var(--width-ex-large) / 2);
        max-width: var(--width-ex-large);
        /* margin-top: 7.5rem; */
    }

}


.p-map__iframe {
    display: block;
    width: 100%;
    height: 100%;
}

.p-access-list {}

.p-access-list__item {
    position: relative;
    padding-left: 1.5em;
    line-height: var(--line-height-snug);
}

.p-access-list__item+.p-access-list__item {
    margin-top: 0.7em;
}

.p-access-list__item::before {
    content: "●";
    position: absolute;
    top: 0;
    left: 0;

}

/* -------------------------------------------------------------------------
   p-sec-architect
  ------------------------------------------------------------------------- */
.p-sec-architect {}

@media screen and (min-width:1024px) {
    .p-sec-architect {}
}

@media screen and (min-width:1536px) {
    .p-sec-architect {}

}

.p-sec-architect__header {
    position: relative;
    z-index: 2;
    margin-bottom: 3rem;
}

@media screen and (min-width:1024px) {
    .p-sec-architect__header {}
}

.p-sec-architect .c-head-sub-line__main-ttl {
    display: block;
    margin-left: auto;
    margin-right: auto;

    width: 27.8rem;
}

.p-sec-architect__media {
    position: relative;
    z-index: 1;
}

.p-sec-architect__caution {
    margin-top: 1.5rem;
    padding-inline: var(--layout-content-side);
    line-height: var(--line-height-reset);
    max-width: calc(90rem + var(--layout-content-side) * 2);
    margin-inline: auto;
}

.p-sec-architect__caution::before {
    content: "※";
}

.architect-slider {
    position: relative;
    aspect-ratio: 1 / 1;
    overflow: hidden;

    max-width: var(--width-ex-large);
    margin-inline: auto;
}

@media screen and (min-width:744px) {
    .architect-slider {
        aspect-ratio: 2 / 1;
    }

}

.architect-slider__item {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    opacity: 0;
    z-index: 1;
    transition: opacity 2.1s ease;
    transition-delay: 1.2s;
    /*  合計3.3秒で消え切る */
}

.architect-slider__item.is-active {
    opacity: 1;
    z-index: 2;
    transition-delay: 0s;
}

.architect-slider__content {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
}

.architect-slider__figure {
    height: 100%;
}

.architect-slider__image {
    width: 100%;
    height: 100%;
    object-fit: cover;

    /* 待機中はアニメーションさせず初期位置に固定 */

}

@media screen and (max-width: 743px) {
    .architect-slider__image {
        object-position: 0% 50%;
        transition: object-position 0s 3.3s
    }

    /* 現れる時（動きながらフェードイン） */
    .architect-slider__item.is-active .architect-slider__image {
        object-position: 100% 50%;
        transition: object-position 12s linear 0s;
    }

    /* 👇追加：消えゆく時（動き続けながらフェードアウト） */
    .architect-slider__item.is-leaving .architect-slider__image {
        object-position: 100% 50%;
        transition: object-position 12s linear 0s;
    }
}


/* -------------------------------------------------------------------------
   p-sec-lots
  ------------------------------------------------------------------------- */
.p-sec-lots {
    padding: 0;
}

.p-sec-lots__header .l-container {
    --container-inner-width: 67.5rem;
}

.p-sec-lots__header,
.p-sec-lots__body {
    padding: 5rem 0;
}

@media screen and (min-width:744px) {

    .p-sec-lots__header,
    .p-sec-lots__body {
        padding: 10rem 0;
    }

}

.p-sec-lots__header {
    padding-top: var(--section-padding);
}

.p-sec-lots__body {
    padding-bottom: var(--section-padding);
}

.p-sec-lots__lot-info-container {
    --gap: 5rem;
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

@media screen and (min-width:744px) {
    .p-sec-lots__lot-info-container {
        flex-direction: row;
        flex-wrap: wrap;
    }
}

/* 区画詳細情報カード */
.p-card-lot-info {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

@media screen and (min-width:744px) {
    .p-card-lot-info {
        width: calc((100% - var(--gap)) * 0.5);
    }
}

.p-card-lot-info__title {
    display: flex;
    align-items: baseline;
    gap: 1.5rem;
    padding-bottom: 0.4em;
    border-bottom: solid 0.1rem var(--color-black);
    margin-bottom: 1em;
}

.p-card-lot-info__title-tyep {
    display: block;
}

.p-card-lot-info__title-copy {
    display: block;
    font-size: 0.875em;
}

.p-lots-info {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

@media screen and (min-width:744px) {
    .p-lots-info {
        width: calc((100% - var(--gap)) * 0.5);
        padding-top: 5rem;
    }

}

.p-card-lot-info__specs {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

@media screen and (min-width:744px) {
    .p-card-lot-info__specs {
        display: block;
    }
}

.p-card-lot-info__dl {}

.p-card-lot-info__dl>div {
    display: flex;
    align-items: baseline;
    gap: 1rem;
}

.p-card-lot-info__dt {
    flex: 0 0 5.6em;
    min-width: 0;
    line-height: var(--line-height-reset);

    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.2em;
    border: solid 0.1rem var(--color-black);
}

.p-card-lot-info__dd {
    font-size: 1.15em;
}

.p-card-lot-info__price-num {
    font-size: 2em;
    line-height: var(--line-height-reset);
    vertical-align: -0.15em;
    display: inline-block;
    margin-right: 0.15em;
}

.p-lot-all {
    background-color: #fff;
}

.p-sec-lots__each-img {
    background-color: #E6F2ED;

}

/* -------------------------------------------------------------------------
   p-sec-plan
  ------------------------------------------------------------------------- */
.p-sec-plan {}

.p-plan-gallery {
    --gap: 1.5rem;
    display: flex;
    flex-wrap: wrap;
    gap: var(--gap);
}

@media screen and (min-width:744px) {
    .p-plan-gallery {
        --gap: 2rem;
    }

}

.p-plan-gallery__item {
    width: calc((100% - var(--gap)) / 2);
}

@media screen and (min-width:744px) {
    .p-plan-gallery__item {
        width: calc((100% - var(--gap) * 3) / 4);
    }
}

@media screen and (min-width:1024px) {
    .p-plan-gallery__item {
        width: calc((100% - var(--gap) * 4) / 5);
    }
}

.p-plan-gallery__figure {
    aspect-ratio: 1 / 1;

}

.p-plan-gallery__figure img {
    display: block;
    height: 100%;
    object-fit: cover;
}

/* ==========================================
  モーダル
   ========================================== */
/* <dialog>タグのブラウザcssをreset */
.p-modal {
    /* reset */
    margin: auto;
    padding: 0;
    border: none;
    background: transparent;
    max-width: none;
    max-height: none;
    overflow: visible;

    /* 表示切り替え */
    opacity: 0.7;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.p-modal.is-active {
    opacity: 1;
    visibility: visible;
}

.p-modal:not([open]) {
    transition: none !important;
    opacity: 0;
    visibility: hidden;
}

/*  <dialog> 背景*/
.p-modal::backdrop {
    background: rgba(0, 0, 0, 0.8);
}

.p-modal__figure {
    position: relative;
}

/* ==========================================
   レイアウトのカスタム例
   ========================================== */

.p-modal__inner {
    position: relative;
    padding: 20px;
    /* 画像の周りの余白 */
    display: flex;
    justify-content: center;
    align-items: center;
}

.p-modal__img {
    display: block;
    width: auto;
    max-width: 90vw;
    /* 画面幅の90%に収める */
    max-height: 80vh;
    /* 画面高さの80%に収める */
    height: auto;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
}

.p-modal__close {
    position: absolute;
    top: 0;
    right: 0;
    width: 44px;
    height: 44px;
    background: #000;
    color: #fff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    font-size: 24px;
    line-height: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.3s;
}

.p-modal__close:hover {
    background: #444;
}

.p-modal__figure>figcaption {
    line-height: 1.8;
    margin-top: 0.4em;
    position: absolute;
    top: 100%;
    left: 0;
}

.p-modal__caption {
    color: var(--u-color-on-dark);
}

.p-modal__note {
    color: #fff;
    font-size: 10px;
    display: block;
}